Skip to main content
POST
/
core.v1.LogsService
/
UpdateLogConfiguration
cURL
curl -X POST "https://api.joinformal.com/core.v1.LogsService/UpdateLogConfiguration" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
fetch("https://api.joinformal.com/core.v1.LogsService/UpdateLogConfiguration", {
method: "POST",
headers: {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
example: "value"
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
import requests

url = "https://api.joinformal.com/core.v1.LogsService/UpdateLogConfiguration"
headers = {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"example": "value"
}

response = requests.post(url, headers=headers, json=data)
print(response.json())
package main

import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)

func main() {
url := "https://api.joinformal.com/core.v1.LogsService/UpdateLogConfiguration"

body := map[string]string{
"example": "value",
}

jsonData, _ := json.Marshal(body)

req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")

client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()

responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}


{
  "logConfiguration": {
    "id": "<string>",
    "name": "<string>",
    "encryptionKeyId": "<string>",
    "scope": {
      "resourceId": "<string>",
      "connectorId": "<string>",
      "spaceId": "<string>"
    },
    "request": {
      "sql": {
        "stripValues": true,
        "encrypt": true
      },
      "encrypt": true,
      "maxPayloadSize": 0,
      "policyEvalInputRetention": "<string>"
    },
    "response": {
      "encrypt": true,
      "maxPayloadSize": 0,
      "policyEvalInputRetention": "<string>"
    },
    "stream": {
      "encrypt": true
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "session": {
      "policyEvalInputRetention": "<string>"
    }
  }
}
{
"code": "invalid_request",
"message": "Invalid request parameters",
"details": {}
}
{
"code": "unauthorized",
"message": "Authentication required"
}
{
"code": "forbidden",
"message": "Insufficient permissions to perform this action"
}
{
"code": "not_found",
"message": "Resource not found"
}
{
"code": "internal_error",
"message": "An internal error occurred"
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json
id
string
Minimum string length: 1
name
string | null
encryptionKeyId
string | null
request
request · object | null
response
response · object | null
stream
stream · object | null
session
session · object | null

Response

Success

logConfiguration
log_configuration · object